<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#000000">
    <meta name="author" content="Torbjorn Ludvigsen">
    <meta name="keywords" content="Hangprinter, open source, hardware, technology, software, Reprap, development">
    <meta name="description" content="Hangprinter">
    <meta property="og:type" content="website">
    <meta property="og:title" content="Hangprinter">
    <meta property="og:url" content="https://hangprinter.org">
    <meta property="og:description" content="Cable Driven RepRap">
    <meta property="og:image" content="https://hangprinter.org/hangprinter4_small.jpeg">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:site" content="@tobbelobb">
    <meta name="twitter:creator" content="@tobbelobb">
    <meta name="twitter:image" content="https://hangprinter.org/hangprinter4_small.jpeg"></meta>
    <link rel="stylesheet" href="./style.css?v=0" type="text/css">
    <link rel="apple-touch-icon" sizes="180x180" href="./apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="./favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="./favicon-16x16.png">
    <link rel="manifest" href="./site.webmanifest">
    <link rel="mask-icon" href="./safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#00aba9">
    <meta name="theme-color" content="#ffffff">
    <title>Hangprinter</title>
  </head>
  <body style="height: calc(100vh - 16px);width:100%;">
    <div class="masthead">
      <h3 class="masthead-brand">
        <a href="" style="text-decoration:none;color:rgb(244, 151, 108);">
          <img src="./logo-orange.svg" style="height:50px;width:50px;" />
        </a>
      </h3>
      <nav>
        <ul>
          <li>
            <div class="dropdown">
              <button class="dropbtn">Documentation</button>
              <div class="dropdown-content">
                <a href="./doc/v3">Hangprinter version 3</a>
                <a href="./doc/v4">Hangprinter version 4</a>
              </div>
            </div>
          </li>
          <li><a href="./contribute">Contribute</a></li>
          <li><a href="./about">About</a></li>
          <li><a href="./FAQ">FAQ</a></li>
          <li><a href="./resources">Resources</a></li>
          <li><a href="./newsletter">Newsletter</a></li>
        </ul>
      </nav>
    </div>
    <div id="FrontPageMain">
      <img class="front-image" src="./hangprinter4_small.jpeg" onclick="fun()" />
      <h1>Hangprinter</h1>
      <h2>Cable Driven RepRap</h2>
      <h3>
        Print big at low cost
      </h3>
    </div>
    <div id="there-you-go" style="position:fixed;"></div>
    <script>
      var img = document.getElementById('FrontPageMain');
      var dx = Math.random()*8 - 4.0;
      var dy = Math.random()*8 - 4.0;
      var offsetY = window.innerHeight > 760 ? 150 : 60;
      if (window.innerWidth < 387 ) {
        offsetY -= 60;
      }
      function fun() {
        var bodyRect = document.body.getBoundingClientRect();
        var elemRect = img.getBoundingClientRect();
        img.style.position = "fixed";
        var left = elemRect.left;
        var top = elemRect.top - offsetY;
        offsetY = 0;
        counter = 1000;
        interval = 20; // ms
        countDown = document.getElementById('there-you-go');
        countDown.style.width = "100%";
        countDown.style.textAlign = "center";
        countDown.style.top = bodyRect.bottom/2;
        countDown.innerHTML = "<h1>progress 0%...</h1>";
        document.body.appendChild(countDown);
        window.setTimeout(wanderAround, interval);
        var leftOffset = window.innerWidth > 430 ? -400 : -300;
        var rightOffset = window.innerWidth > 430 ? -200 : -100;
        var topOffset = window.innerHeight > 760 ? -180 : -60;
        var bottomOffset = window.innerHeight > 760 ? -375 : -235;
        function wanderAround() {
          countDown.innerHTML = "<h1>progress " + Math.floor((1.0 - counter/1001)*100) + "%...</h1>";
          img.style.left = left + "px";
          img.style.top = top + "px";
          --counter;
          if (counter < 0)
          {
            countDown.innerHTML = "<h1>There you go.</h1>";
            return;
          }
          else
          {
            // Animate a bit more
            left += dx;
            if (left > bodyRect.right + leftOffset || left < rightOffset)
            {
              dx = -dx;
            }

            top  += dy;
            if (top < topOffset || top > bodyRect.bottom + bottomOffset)
            {
              dy = -dy;
            }
            img.style.left = left + "px";
            img.style.top  = top  + "px";

            // Re-trigger ourselves
            window.setTimeout(wanderAround, interval);
          }
        }
        wanderAround();
      }
    </script>
    <script data-goatcounter="https://hangprinter.goatcounter.com/count"
            async src="//gc.zgo.at/count.js"></script>
  </body>
</html>
